## com.imcode.imcms.util.l10n
Class LocalizedMessage

    java.lang.Object
      com.imcode.imcms.util.l10n.LocalizedMessage

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  LocalizedMessageFormat

    public class LocalizedMessage

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`LocalizedMessage(java.lang.String languageKey)`

Method Summary
`boolean` `equals(java.lang.Object o)`
`int` `hashCode()`
`java.lang.String` `toLocalizedString(javax.servlet.http.HttpServletRequest request)`
`java.lang.String` `toLocalizedString(java.lang.String languageIso639_2)`
`java.lang.String` `toLocalizedString(UserDomainObject user)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalizedMessage

    public LocalizedMessage(java.lang.String languageKey)

Method Detail

### toLocalizedString

    public final java.lang.String toLocalizedString(javax.servlet.http.HttpServletRequest request)

### toLocalizedString

    public final java.lang.String toLocalizedString(UserDomainObject user)

### toLocalizedString

    public java.lang.String toLocalizedString(java.lang.String languageIso639_2)

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`